You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@flex.apache.org by jm...@apache.org on 2013/10/08 17:22:56 UTC

[17/25] git commit: [flex-sdk] [refs/heads/release4.11.0] - moved mustella shell scripts to mustella directory

moved mustella shell scripts to mustella directory


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/9c0607a2
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/9c0607a2
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/9c0607a2

Branch: refs/heads/release4.11.0
Commit: 9c0607a230b4cb4cad27e74d00409110ea5f4734
Parents: 223bdb9
Author: Justin Mclean <jm...@apache.org>
Authored: Tue Oct 8 17:54:58 2013 +1100
Committer: Justin Mclean <jm...@apache.org>
Committed: Tue Oct 8 17:54:58 2013 +1100

----------------------------------------------------------------------
 mustella/patch_testing_loop.sh         | 35 +++++++++++++++++
 mustella/run_mustella_on_git_status.sh | 37 ++++++++++++++++++
 mustella/test_patch.sh                 | 59 +++++++++++++++++++++++++++++
 mustella/test_patch_by_email.sh        | 58 ++++++++++++++++++++++++++++
 patch_testing_loop.sh                  | 33 ----------------
 run_mustella_on_git_status.sh          | 35 -----------------
 test_patch.sh                          | 57 ----------------------------
 test_patch_by_email.sh                 | 56 ---------------------------
 8 files changed, 189 insertions(+), 181 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/mustella/patch_testing_loop.sh
----------------------------------------------------------------------
diff --git a/mustella/patch_testing_loop.sh b/mustella/patch_testing_loop.sh
new file mode 100755
index 0000000..4dddc84
--- /dev/null
+++ b/mustella/patch_testing_loop.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+##
+## patch_test_loop keeps running test_patch_by_email.sh every
+## 10 minutes
+##
+
+cd ..
+
+while [ 1 ]
+do
+    echo "checking email at `date`" 
+    sh ./mustella/test_patch_by_email.sh
+    echo "going to sleep for a bit"
+    sleep 10m
+    echo "done sleeping"
+done
+

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/mustella/run_mustella_on_git_status.sh
----------------------------------------------------------------------
diff --git a/mustella/run_mustella_on_git_status.sh b/mustella/run_mustella_on_git_status.sh
new file mode 100644
index 0000000..a5236cc
--- /dev/null
+++ b/mustella/run_mustella_on_git_status.sh
@@ -0,0 +1,37 @@
+#!/bin/bash
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+##
+## run_mustella_on_git_status.sh - runs git status, then runs 
+## mini_run.sh -changes and runs mini_run-failures if there are failures
+## mpte: does not build the sdk.  Assumes you did that already
+
+cd ..
+
+git status >gitstatus.txt
+cd ./mustella/utilities/MustellaTestChooser/src
+"$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" MustellaTestChooser-app.xml -- -file
+cd ../../../..
+if [ -s mustella/changes.txt ]
+then
+    cd mustella
+    sh ./test_changes.sh
+    cd ..
+fi
+

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/mustella/test_patch.sh
----------------------------------------------------------------------
diff --git a/mustella/test_patch.sh b/mustella/test_patch.sh
new file mode 100755
index 0000000..f7d43a2
--- /dev/null
+++ b/mustella/test_patch.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+##
+## test_patch.sh - creates changes.txt, runs mini_run.sh -changes and 
+## runs mini_run-failures if there are failures
+##
+
+cd ..
+
+if [ $# -lt 1 ]
+    then
+	echo "usage: test_patch.sh <patch_filename>"
+	exit
+fi
+echo "running patch for $2"
+git apply $1
+git status >gitstatus.txt
+cd mustella/utilities/MustellaTestChooser/src
+"$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" MustellaTestChooser-app.xml -- -file
+cd ../../../..
+if [ -s mustella/changes.txt ]
+then
+    if [ $# -gt 1 ]
+    then
+        mutt -s "Patch Received: running tests" $2 <mustella/changes.txt
+    fi 
+    ant main checkintests
+	rc=$?
+	if [[ $rc != 0 ]] ; then
+		exit $rc
+	fi
+	cd mustella
+    if [ $# -lt 2 ]
+    then
+	    sh ./test_changes.sh
+    else
+        sh ./test_changes.sh $2 $1
+    fi
+	cd ..
+fi
+git checkout .
+

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/mustella/test_patch_by_email.sh
----------------------------------------------------------------------
diff --git a/mustella/test_patch_by_email.sh b/mustella/test_patch_by_email.sh
new file mode 100755
index 0000000..f6366731
--- /dev/null
+++ b/mustella/test_patch_by_email.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+################################################################################
+##
+##  Licensed to the Apache Software Foundation (ASF) under one or more
+##  contributor license agreements.  See the NOTICE file distributed with
+##  this work for additional information regarding copyright ownership.
+##  The ASF licenses this file to You under the Apache License, Version 2.0
+##  (the "License"); you may not use this file except in compliance with
+##  the License.  You may obtain a copy of the License at
+##
+##      http://www.apache.org/licenses/LICENSE-2.0
+##
+##  Unless required by applicable law or agreed to in writing, software
+##  distributed under the License is distributed on an "AS IS" BASIS,
+##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+##  See the License for the specific language governing permissions and
+##  limitations under the License.
+##
+################################################################################
+##
+## test_patch_by_email.sh gets email, finds patches, saves them to files 
+## runs test_patch
+##
+
+cd ..
+
+rm /var/spool/mail/mustellarunner
+fetchmail
+if [ -f "/var/spool/mail/mustellarunner" ]
+then
+cd ./mustella/utilities/PatchExtractor/src
+echo "launching patch extractor"
+"$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" PatchExtractor-app.xml -- c:/cygwin/var/spool/mail/mustellarunner
+cd ../../../..
+gotone=0
+for file in *.patch
+do
+    git pull --rebase
+    gotone=1
+    break;
+done
+if [ gotone == 0 ] ; then
+    echo "no patches"
+    exit 2
+fi
+
+for file in *.patch
+do
+d=`dirname $file`
+b=`basename $file .patch`
+read replyAddr < $d/$b.reply
+sh ./mustella/test_patch.sh $file $replyAddr
+rm $file
+rm $replyAddr
+done
+else
+    echo "no messages"
+fi

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/patch_testing_loop.sh
----------------------------------------------------------------------
diff --git a/patch_testing_loop.sh b/patch_testing_loop.sh
deleted file mode 100755
index 62b2de1..0000000
--- a/patch_testing_loop.sh
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/bash
-################################################################################
-##
-##  Licensed to the Apache Software Foundation (ASF) under one or more
-##  contributor license agreements.  See the NOTICE file distributed with
-##  this work for additional information regarding copyright ownership.
-##  The ASF licenses this file to You under the Apache License, Version 2.0
-##  (the "License"); you may not use this file except in compliance with
-##  the License.  You may obtain a copy of the License at
-##
-##      http://www.apache.org/licenses/LICENSE-2.0
-##
-##  Unless required by applicable law or agreed to in writing, software
-##  distributed under the License is distributed on an "AS IS" BASIS,
-##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-##  See the License for the specific language governing permissions and
-##  limitations under the License.
-##
-################################################################################
-##
-## patch_test_loop keeps running test_patch_by_email.sh every
-## 10 minutes
-##
-
-while [ 1 ]
-do
-    echo "checking email at `date`" 
-    sh test_patch_by_email.sh
-    echo "going to sleep for a bit"
-    sleep 10m
-    echo "done sleeping"
-done
-

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/run_mustella_on_git_status.sh
----------------------------------------------------------------------
diff --git a/run_mustella_on_git_status.sh b/run_mustella_on_git_status.sh
deleted file mode 100644
index 35f8f61..0000000
--- a/run_mustella_on_git_status.sh
+++ /dev/null
@@ -1,35 +0,0 @@
-#!/bin/bash
-################################################################################
-##
-##  Licensed to the Apache Software Foundation (ASF) under one or more
-##  contributor license agreements.  See the NOTICE file distributed with
-##  this work for additional information regarding copyright ownership.
-##  The ASF licenses this file to You under the Apache License, Version 2.0
-##  (the "License"); you may not use this file except in compliance with
-##  the License.  You may obtain a copy of the License at
-##
-##      http://www.apache.org/licenses/LICENSE-2.0
-##
-##  Unless required by applicable law or agreed to in writing, software
-##  distributed under the License is distributed on an "AS IS" BASIS,
-##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-##  See the License for the specific language governing permissions and
-##  limitations under the License.
-##
-################################################################################
-##
-## run_mustella_on_git_status.sh - runs git status, then runs 
-## mini_run.sh -changes and runs mini_run-failures if there are failures
-## mpte: does not build the sdk.  Assumes you did that already
-
-git status >gitstatus.txt
-cd mustella/utilities/MustellaTestChooser/src
-"$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" MustellaTestChooser-app.xml -- -file
-cd ../../../..
-if [ -s mustella/changes.txt ]
-then
-	cd mustella
-        sh ./test_changes.sh
-	cd ..
-fi
-

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/test_patch.sh
----------------------------------------------------------------------
diff --git a/test_patch.sh b/test_patch.sh
deleted file mode 100755
index c34338f..0000000
--- a/test_patch.sh
+++ /dev/null
@@ -1,57 +0,0 @@
-#!/bin/bash
-################################################################################
-##
-##  Licensed to the Apache Software Foundation (ASF) under one or more
-##  contributor license agreements.  See the NOTICE file distributed with
-##  this work for additional information regarding copyright ownership.
-##  The ASF licenses this file to You under the Apache License, Version 2.0
-##  (the "License"); you may not use this file except in compliance with
-##  the License.  You may obtain a copy of the License at
-##
-##      http://www.apache.org/licenses/LICENSE-2.0
-##
-##  Unless required by applicable law or agreed to in writing, software
-##  distributed under the License is distributed on an "AS IS" BASIS,
-##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-##  See the License for the specific language governing permissions and
-##  limitations under the License.
-##
-################################################################################
-##
-## test_patch.sh - creates changes.txt, runs mini_run.sh -changes and 
-## runs mini_run-failures if there are failures
-##
-
-if [ $# -lt 1 ]
-    then
-	echo "usage: test_patch.sh <patch_filename>"
-	exit
-fi
-echo "running patch for $2"
-git apply $1
-git status >gitstatus.txt
-cd mustella/utilities/MustellaTestChooser/src
-"$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" MustellaTestChooser-app.xml -- -file
-cd ../../../..
-if [ -s mustella/changes.txt ]
-then
-    if [ $# -gt 1 ]
-    then
-        mutt -s "Patch Received: running tests" $2 <mustella/changes.txt
-    fi 
-    ant main checkintests
-	rc=$?
-	if [[ $rc != 0 ]] ; then
-		exit $rc
-	fi
-	cd mustella
-        if [ $# -lt 2 ]
-        then
-	    sh ./test_changes.sh
-        else
-            sh ./test_changes.sh $2 $1
-        fi
-	cd ..
-fi
-git checkout .
-

http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9c0607a2/test_patch_by_email.sh
----------------------------------------------------------------------
diff --git a/test_patch_by_email.sh b/test_patch_by_email.sh
deleted file mode 100755
index 2710c0b..0000000
--- a/test_patch_by_email.sh
+++ /dev/null
@@ -1,56 +0,0 @@
-#!/bin/bash
-################################################################################
-##
-##  Licensed to the Apache Software Foundation (ASF) under one or more
-##  contributor license agreements.  See the NOTICE file distributed with
-##  this work for additional information regarding copyright ownership.
-##  The ASF licenses this file to You under the Apache License, Version 2.0
-##  (the "License"); you may not use this file except in compliance with
-##  the License.  You may obtain a copy of the License at
-##
-##      http://www.apache.org/licenses/LICENSE-2.0
-##
-##  Unless required by applicable law or agreed to in writing, software
-##  distributed under the License is distributed on an "AS IS" BASIS,
-##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-##  See the License for the specific language governing permissions and
-##  limitations under the License.
-##
-################################################################################
-##
-## test_patch_by_email.sh gets email, finds patches, saves them to files 
-## runs test_patch
-##
-
-rm /var/spool/mail/mustellarunner
-fetchmail
-if [ -f "/var/spool/mail/mustellarunner" ]
-then
-cd mustella/utilities/PatchExtractor/src
-echo "launching patch extractor"
-"$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" PatchExtractor-app.xml -- c:/cygwin/var/spool/mail/mustellarunner
-cd ../../../..
-gotone=0
-for file in *.patch
-do
-    git pull --rebase
-    gotone=1
-    break;
-done
-if [ gotone == 0 ] ; then
-    echo "no patches"
-    exit 2
-fi
-
-for file in *.patch
-do
-d=`dirname $file`
-b=`basename $file .patch`
-read replyAddr < $d/$b.reply
-sh test_patch.sh $file $replyAddr
-rm $file
-rm $replyAddr
-done
-else
-    echo "no messages"
-fi